# Contribuindo com o projeto

A página [Como contribuir com o abnTeX2](https://github.com/abntex/abntex2/wiki/Como-Contribuir) documenta diversas formas de como contribuir com abnTeX2.

# Dúvidas e suporte sobre os códigos latex

A comunidade [latex-br](https://groups.google.com/forum/#!forum/latex-br) é mantida por voluntários que doam o seu tempo para auxiliar os usuários do Latex.

Caso você tenha dúvidas gerais sobre o Latex poste sua dúvida lá, nós do abnTeX também participamos dessa comunidade.

Dúvidas específicas sobre o abnTeX também são bem vindas no [fórum do abntex2](https://groups.google.com/forum/#!forum/abntex2).

# Antes de postar uma dúvida/pergunta

É comum usuários com problemas diversos em seus documentos desejarem obter ajudar para solucionar seus problemas, mas antes de postar seu problema esteja atento para:

* Utilize os mecanismos de pesquisas para buscar por soluções do seu problema.
  * Pesquise no [repositório/wiki do abntex2](https://github.com/abntex/abntex2)
  * Pesquise no [fórum latex-br](https://groups.google.com/forum/#!forum/latex-br)
  * Pesquise no [fórum do abntex2](https://groups.google.com/forum/#!forum/abntex2)
  * Pesquise no [http://tex.stackexchange.com](http://tex.stackexchange.com/) (em inglês)

Caso não encontrou a solução, você deve postar: **uma versão reduzida do seu problema de fácil reprodução** (isso é conhecido como um *exemplo mínimo*). Esse passo é bastante importante e determinante para que você obtenha uma resposta rápida.

* Crie uma cópia do seu trabalho e remova tudo o que for irrelevante sobre sua dúvida/problema.
  * Fazer uma cópia é necessário porque você deverá realizar alterações no documento que será enviado.
  * **Remova tudo o que for irrelevante:** se você está com problemas com uma única citação, apague tudo o que não for relacionado com isso. 
  * Quanto menor o documento mais fácil será de analisá-lo.
    
O penúltimo passo é facilitar a reprodução do seu problema. Isso consiste em fornecer todos os arquivos necessários para que possamos compilar o código.

* Se possível gere um arquivo zip da cópia do seu projeto, pois facilita o download e reduz a probabilidade de faltar algum arquivo necessário para compilação.
* Se você está utilizando alguma personalização forneça links para elas.

**NOTA**: Nós, os matenedores do AbnTeX, optamos por otimizar o tempo que disposmos para manter o projeto minimamente funcionando. Por essa razão evitamos dar Suporte aos usuários do pacote, pois esta demanda é enorme, e somos um pequeno grupo. Você terá mais chances de obter ajuda em outros canais, faça o seu exemplo mínimo (pois facilita quem deseja lhe ajudar) e publique nos fóruns mencionados acima.

**NOTA2**: Os issues devem ser prioritariamente para reportar erros ou sugestões. E o ideal é que eles já venham com a solução também.

# Criando issues no github

O propósito dos [issues no github](https://github.com/abntex/abntex2/issues) são para manter o desenvolvimento do projeto, seus conteúdos variam entre:

- Problemas e limitações e;
- Sugestões de melhorias.

Se você estiver postando uma dúvida de utilização, por favor, [utilize os fóruns para isso](https://github.com/abntex/abntex2/wiki/Como-Contribuir#participe-dos-grupos-de-discuss%C3%A3o).

Após os cadastramentos dos issues eles servirão como um fórum individual para discutir o problema ou a melhoria postada.

## Fechamento dos issues

Os issues que não apresentam problemas ou melhorias para o desenvolvimento do abntex2 deverão ser fechados por seu criador ou pelos membros da equipe do abnTeX.

Se o problema foi diagnosticado como sendo localizado na configuração equivocada em seu documento o issue deverá ser fechado, representando que não há problemas ou melhorias que precisam ser implementadas no abnTeX2.

O fechamento de Issue não representa o fim da discussão, você pode continuar postando nele e nós também responderemos nele. O seu fechamento apenas indica que não há nada a ser implementado no repositório.

