# abntex2

O **abnTeX2**, evolução do abnTeX (_ABsurd Norms for TeX_`*`), é uma suíte para LaTeX que atende os requisitos das normas da ABNT (Associação Brasileira de Normas Técnicas) para elaboração de documentos técnicos e científicos brasileiros, como artigos científicos, relatórios técnicos, trabalhos acadêmicos como teses, dissertações, projetos de pesquisa e outros documentos do gênero.

A suíte abnTeX2 é composta por uma classe, por pacotes de citação e de formatação de estilos bibliográficos, por exemplos, modelos de documentos e por uma ampla documentação.

### Compatível com as normas ABNT vigentes ###

O abnTeX2 é compatível com as seguintes normas vigentes:

  * **ABNT NBR 6022:2018**: Informação e documentação - Artigo em publicação periódica científica - Apresentação
  * **ABNT NBR 6023:2002**:  Informação e documentação -  Referência - Elaboração`**`
  * **ABNT NBR 6024:2012**: Informação e documentação - Numeração  progressiva das seções de um documento - Apresentação
  * **ABNT NBR 6027:2012**: Informação e documentação - Sumário - Apresentação
  * **ABNT NBR 6028:2003**: Informação e documentação - Resumo - Apresentação
  * **ABNT NBR 6029:2006**: Informação e documentação - Livros e folhetos - Apresentação <font color='red'>(novo!)</font>
  * **ABNT NBR 6034:2004**: Informação e documentação - Índice - Apresentação
  * **ABNT NBR 10520:2002**: Informação e documentação - Citações
  * **ABNT NBR 10719:2015**: Informação e documentação - Relatório técnico e/ou científico - Apresentação
  * **ABNT NBR 14724:2011**: Informação e documentação - Trabalhos acadêmicos - Apresentação
  * **ABNT NBR 15287:2011**: Informação e documentação - Projeto de pesquisa - Apresentação

### Por onde começar? ###

<font color='green'>Não entre em pânico!**</font> É iniciante em LaTeX ou em abnTeX2? Consulte a página [Por Onde Começar?](https://github.com/abntex/abntex2/wiki/PorOndeComecar).**

### Download ###

[Download de modelos canônicos de documentos construídos com abnTeX2](https://www.ctan.org/pkg/abntex2), que incluem (links remetem a exemplos compilados):
  1. Artigo científico;
  1. Trabalho acadêmico (tese, dissertação, trabalho de conclusão de curso e outros do gênero);
  1. Projeto de pesquisa;
  1. Relatório técnico/científico;
  1. Livro e Folheto <font color='red'>(novo!)</font>;
  1. Documento com Glossários;
  1. Apresentação de slides <font color='red'>(novo!)</font>

[Download dos manuais de uso](https://www.ctan.org/pkg/abntex2)

[Notas de atualização](https://raw.githubusercontent.com/abntex/abntex2/master/doc/latex/abntex2/README)

### Instalação ###

O abnTeX2 está disponível no [CTAN: Comprehensive TeX Archive Network](https://www.ctan.org/pkg/abntex2) e já é integrado às distribuições LaTeX:

  * [MiKTeX](http://www.miktex.org/) ou [proTeXt](http://www.tug.org/protext/) para Windows;
  * [TeX Live 2013/2014](http://www.tug.org/texlive/) para Windows e diversos sabores de Linux;
  * [MacTeX 2013/2014](http://tug.org/mactex/) para Mac;

Se você usa uma dessas distribuições, nenhuma instalação adicional é necessária. Baixe um dos [modelos canônicos](https://www.ctan.org/pkg/abntex2)) disponíveis e pronto!

Porém, caso não possa usar as versões mais recentes das distribuições indicadas, instale o abnTeX 2 por meio do `Package Manager` da sua distribuição LaTeX. Consulte as [instruções de instalação do LaTeX e do abnTeX2](https://github.com/abntex/abntex2/wiki/Instalacao). Há instruções para [Windows](https://github.com/abntex/abntex2/wiki/InstalacaoWindows), [Linux](https://github.com/abntex/abntex2/wiki/InstalacaoLinux) e [Mac](https://github.com/abntex/abntex2/wiki/InstalacaoMac).

### Como colaborar? ###

Sua ajuda é muito importante! [Você pode ajudar no desenvolvimento e na divulgação](https://github.com/abntex/abntex2/wiki/Como-Contribuir) do abnTeX2.

### Customizações do abnTeX2 ###

**Customizações conhecidas**: já são dezenas de customizações para universidades e instituições. Veja a lista de [customizações conhecidas](https://github.com/abntex/abntex2/wiki/CustomizacoesConhecidas).

**Deseja customizar o abnTeX2?** Caso você pretenda alterar e/ou redistribuir os modelos canônicos do abnTeX2, recomendamos fortemente que leia com atenção as [orientações sobre como customizar o abnTeX2](https://github.com/abntex/abntex2/wiki/ComoCustomizar).

### LyX e abnTeX2 ###

Usa o LyX? O abnTeX2 é compatível! Veja como instalar o arquivo de layout e o modelo de documento do [abnTeX2 para LyX](https://github.com/abntex/abntex2/wiki/LyX).

### Veja também ###

  * [Wiki do abnTeX2](https://github.com/abntex/abntex2/wiki)
  * [Comunidade do abnTeX2 no Google Plus](https://plus.google.com/u/0/communities/105202176004387477100)



`*` o abnTeX original era um projeto coordenado por Gerald Weber, Miguel Frasson, Renato Machnievscz e outros.

`**` O abnTeX2 é compatível com a versão corrente da norma ABNT NBR 6023:2002. Porém, até este momento, o manual abnTeX2cite.pdf está atualizado com informações referentes à versão anterior da referida norma, ou seja, com informações sobre a versão 2000. A atualização do manual é uma das [atividades em execução](https://github.com/abntex/abntex2/issues) do projeto.
